/**
 * Represents the log type.
 */
export declare enum LogType {
    Danger = "danger",
    Debug = "debug",
    Info = "info",
    Start = "start",
    Warn = "warn"
}
/**
 * Represents an easy-api.ts logger.
 */
export declare class Logger {
    /**
     * Retrieves the date as locale string.
     * @returns {string}
     */
    static dateString: () => string;
    /**
     * Logs a danger message.
     * @param message - Message to be logged.
     */
    static danger(message: string): void;
    /**
     * Logs a message as information.
     * @param message - Message to be logged.
     */
    static info(message: string): void;
    /**
     * Logs a warn message.
     * @param message - Message to be logged.
     */
    static warn(message: string): void;
    /**
     * Logs a message in the console.
     * @param type - Log type.
     * @param message - Message to be logged.
     */
    static log(type: LogType, message: string): void;
    static start(version: string): void;
}
