import { APIFunction, FunctionReturn, ParamType } from "../../structures/APIFunction";
import $createCanvas from "./createCanvas";
import { Data } from "../../structures/Data";
export default class DrawImage extends APIFunction {
    name: string;
    description: string;
    parameters: ({
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: null;
    } | {
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: string;
    })[];
    usage: string;
    returns: FunctionReturn;
    aliases: never[];
    compile: boolean;
    parent: $createCanvas;
    run(d: Data, [id, x, y, width, height, radius]: string[]): Promise<void>;
}
