import { APIFunction, FunctionReturn, ParamType } from "../../structures/APIFunction";
import $createCanvas from "./createCanvas";
import { Data } from "../../structures/Data";
export default class Font extends APIFunction {
    name: string;
    description: string;
    parameters: ({
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: null;
        enum?: undefined;
    } | {
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: string;
        enum?: undefined;
    } | {
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: string;
        enum: string[];
    })[];
    usage: string;
    returns: FunctionReturn;
    aliases: never[];
    compile: boolean;
    parent: $createCanvas;
    run(d: Data, [size, family, style]: string[]): Promise<void>;
}
