import { APIFunction, FunctionReturn, ParamType } from "../../structures/APIFunction";
import { Data } from "../../structures/Data";
import $switch from "./switch";
export default class Case extends APIFunction {
    name: string;
    description: string;
    parameters: {
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: null;
    }[];
    usage: string;
    returns: FunctionReturn;
    aliases: never[];
    compile: boolean;
    parent: $switch;
    run(d: Data, [caseName, caseValue]: string[]): Promise<void>;
}
