import { APIFunction, FunctionReturn, ParamType } from "../../structures/APIFunction";
import { Data } from "../../structures/Data";
export default class ObjectEntries extends APIFunction {
    name: string;
    description: string;
    parameters: ({
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: null;
    } | {
        name: string;
        description: string;
        type: ParamType;
        required: boolean;
        rest: boolean;
        defaultValue: string;
    })[];
    usage: string;
    returns: FunctionReturn;
    aliases: never[];
    compile: boolean;
    run(d: Data, [name, text, separator]: string[]): Promise<string>;
}
