import { Database } from "midb";
export declare class DatabaseManager {
    db: Database;
    /**
     * Set the custom database.
     * @param db Database instance.
     */
    setDatabase(db: any): void;
    /**
     * Set a value into the database.
     * @param args Database set parameters.
     */
    setValue(...args: any[]): Promise<Database>;
    /**
     * Get a value from the database.
     * @param args Database get parameters.
     */
    getValue(...args: any[]): Promise<any>;
    /**
     * Delete a value from the database.
     * @param args Database delete parameters.
     */
    deleteValue(...args: any[]): Promise<Database>;
    /**
     * Check a value in the database.
     * @param args Database has parameters.
     */
    hasValue(...args: any[]): Promise<boolean>;
}
