"use strict";Object.defineProperty(exports,"__esModule",{value:!0}),exports.Interpreter=void 0;const tslib_1=require("tslib"),Compiler_1=require("./Compiler"),main_1=require("../main"),colors_1=tslib_1.__importDefault(require("colors")),ms_1=tslib_1.__importDefault(require("ms"));function isStringToken(e){return e.type&&"TEXT"===e.type}function removeComments(e){return e.split("\n").map(e=>e.split("//")[0]).join("\n")}class Interpreter{async run(e,r){r.comments=r.comments??!1,r.reverse=r.reverse??!1,!0===r.comments&&(e=removeComments(e)),r.data.setStart(performance.now());let a=(new Compiler_1.Compiler).remap(e,r.data.server.rs,!1);var e=r["reverse"],t=[];for(const u of a=e?a.reverse():a){if(r.data.break)break;if(isStringToken(u))t.push(u.value);else{if(!r.data.functions.has(u.name.toLowerCase()))throw new main_1.EATS_Error(`"${u.name}" is not a function.`);var n=r.data.functions.get(u.name.toLowerCase()),i=[],s=n.parameters?.length??0,o=0<s?n.parameters.filter(e=>!0===e.required):[];if(0<s&&o.length>u.fields.length)throw new main_1.EATS_Error([`Function "${u.name}" is not receiving enough parameters!`,`> "${u.name}" expects ${o.length} parameter${1<o.length?"s":""} at least.`].join("\n"));if(!0===r.debug&&console.log(`${colors_1.default.green((new Date).toLocaleString())} | ${colors_1.default.yellow("Parsing")}: `+colors_1.default.bold(n.name)),0<s&&!0===n.compile)for(let e=0;e<u.fields.length;e++){var m=u.fields[e],l=n.parameters[e];if(l?.rest&&e!==n.parameters.length-1)throw new main_1.EATS_Error("A rest parameter must be the last parameter for a function!");var p=await this.run(m,r);if(r.data.break=p.break,i.push("string"!=typeof p.code?"":p.code),e===s&&l?.rest){p=u.fields.slice(e+1);"$join"===u.name&&(console.log("Current Field",m),console.log(p));for(const c of p){var d=await this.run(c,r);r.data.break=d.break,i.push("string"!=typeof d.code?"":d.code)}}}else 0<s&&!1===n.compile&&i.push(...u.fields.map(e=>(0,main_1.Unescape)(e)));r.data.function={name:u.name,inside:i.join(";"),fields:i};o=await n.run(r.data,i);t.push(void 0===o?"":"string"==typeof o?(0,main_1.Unescape)(o):o)}}return r.data.code=t.join(""),r.data}#parse(e,r,a,...t){return e===main_1.ParamType.BigInt?this.#parseBigInt(r,a):e===main_1.ParamType.Boolean?this.#parseBoolean(r,a):e===main_1.ParamType.Date?this.#parseDate(a,r):e===main_1.ParamType.JSON?this.#parseJSON(r,a):e===main_1.ParamType.List?this.#parseList(r,t[0],a):e===main_1.ParamType.Number?this.#parseNumber(r,a):e===main_1.ParamType.Time?this.#parseTime(r,a):r}#parseBoolean(e,r){var a=["true","yes","1","!0","!false"];if(a.includes(e)||["false","no","0","!1","!true"].includes(e))return a.includes(e);throw new main_1.EATS_Error([`Invalid boolean "${e}" provided at: "${r.name}"`,"> Parameter must be a valid boolean type."].join("\n"))}#parseBigInt(e,r){if(!e.endsWith("n"))throw new main_1.EATS_Error([`Invalid bigint "${e}" provided at: "${r.name}"`,"> Parameter must be a valid big integer type."].join("\n"));var a=e.slice(0,-1);if(!1===/^[0-9]*$/.test(a))throw new main_1.EATS_Error([`Invalid bigint "${e}" provided at: "${r.name}"`,"> Parameter must be a valid big integer type."].join("\n"));return BigInt(a)}#parseDate(e,r){if(r){var a=new Date(r);if("Invalid Date"===a.toString())throw new main_1.EATS_Error([`Invalid date "${r}" provided at: "${e.name}"`,"> Parameter must be a valid date type."].join("\n"));return a}return new Date}#parseJSON(e,r){if(!e.startsWith("{")||!e.endsWith("}"))throw new main_1.EATS_Error([`Invalid JSON "${e.slice(0,6)}..." provided at: "${r.name}"`,"> Parameter must be a valid JSON structure."].join("\n"));try{return JSON.parse(e)}catch{throw new main_1.EATS_Error([`Invalid JSON "${e.slice(0,6)}..." provided at: "${r.name}"`,"> Parameter must be a valid JSON structure."].join("\n"))}}#parseList(e,r,a){return e.split(r)}#parseNumber(e,r){var a=Number(e);if(isNaN(a))throw new main_1.EATS_Error([`Invalid number "${e}" provided at: "${r.name}"`,"> Parameter must be a valid number type."].join("\n"));return a}#parseTime(e,r){var a=(0,ms_1.default)(e);if(isNaN(a))throw new main_1.EATS_Error([`Invalid time "${e}" provided at: "${r.name}"`,"> Parameter must be a valid number or parseable time string."].join("\n"));return a}}exports.Interpreter=Interpreter;