"use strict";Object.defineProperty(exports,"__esModule",{value:!0});const tslib_1=require("tslib"),APIFunction_1=require("../../structures/APIFunction"),canvas_1=require("@napi-rs/canvas"),Error_1=require("../../structures/Error"),createCanvas_1=tslib_1.__importDefault(require("./createCanvas")),Util_1=require("../../classes/Util"),ALIGN_POSITIONS=["left","center","right"],VERTICAL_ALIGN_POSITIONS=["top","middle","bottom"];class DrawText extends APIFunction_1.APIFunction{name="$drawText";description="Draws a text over the canvas.";parameters=[{name:"Text",description:"The text to be placed in the canvas.",type:APIFunction_1.ParamType.String,required:!0,rest:!1,defaultValue:null},{name:"X",description:"X coordinate to place the text to.",type:APIFunction_1.ParamType.Number,required:!0,rest:!1,defaultValue:null},{name:"Y",description:"Y coordinate to place the text to.",type:APIFunction_1.ParamType.Number,required:!0,rest:!1,defaultValue:null},{name:"Width",description:"Textbox width.",type:APIFunction_1.ParamType.Number,required:!0,rest:!1,defaultValue:null},{name:"Height",description:"Textbox height.",type:APIFunction_1.ParamType.Number,required:!0,rest:!1,defaultValue:null},{name:"Align",description:"Text align.",type:APIFunction_1.ParamType.String,required:!1,rest:!1,defaultValue:"left",enum:["left","right","center"]},{name:"Vertical Align",description:"Text vertical align.",type:APIFunction_1.ParamType.String,required:!1,rest:!1,defaultValue:"top",enum:["top","middle","bottom"]}];usage="$drawText[text;x;y;width;height;align?;vAlign?]";returns=APIFunction_1.FunctionReturn.Unknown;aliases=[];compile=!0;parent=new createCanvas_1.default;async run(e,[t,r,n,i,a,o="left",s="top"]){if("string"!=typeof t)throw new Error_1.EATS_Error("Missing image ID at: "+e.function?.name);if("string"!=typeof r)throw new Error_1.EATS_Error("Missing X coordinate at: "+e.function?.name);if("string"!=typeof n)throw new Error_1.EATS_Error("Missing Y coordinate at: "+e.function?.name);if("string"!=typeof i)throw new Error_1.EATS_Error(`Missing image width at: ${e.function?.name}, must be a valid number!`);if("string"!=typeof a)throw new Error_1.EATS_Error(`Missing image height at: ${e.function?.name}, must be a valid number!`);if(e.function?.fields.slice(1,5).some(e=>!Util_1.Util.isNumber(e)))throw new Error_1.EATS_Error(`Invalid numbers at: ${e.function?.name}, must be a valid number!`);if(!ALIGN_POSITIONS.includes(o.toLowerCase()))throw new Error_1.EATS_Error("Invalid align position at: "+e.function?.name);if(!VERTICAL_ALIGN_POSITIONS.includes(s.toLowerCase()))throw new Error_1.EATS_Error("Invalid vertical align position at: "+e.function?.name);if(!(e.getInternalVar("NodeJS.Canvas")instanceof canvas_1.Canvas))throw new Error_1.EATS_Error("Unable to find a valid Canvas instance, you must start it using $setDimensions[...args]!");e=e.getInternalVar("NodeJS.CanvasContext"),Util_1.Util.fillText(e,t,Number(r),Number(n),Number(i),Number(a),o,s)}}exports.default=DrawText;